=== modified file 'lib/canonical/database/sqlbase.py'
--- lib/canonical/database/sqlbase.py	2011-09-26 07:21:53 +0000
+++ lib/canonical/database/sqlbase.py	2011-11-01 21:16:07 +0000
@@ -599,6 +599,7 @@
     return str(con_str)
 
 
+# XXX: Switch teamparticipation code to use Store.execute().
 class cursor:
     """A DB-API cursor-like object for the Storm connection.
 
@@ -617,6 +618,7 @@
         elif params is not None:
             query = query % sqlvalues(*params)
         self._result = self._connection.execute(query)
+        return self
 
     @property
     def rowcount(self):
@@ -634,6 +636,10 @@
         assert self._result is not None, "No results to fetch"
         return self._result.get_all()
 
+    def __iter__(self):
+        assert self._result is not None, "No results to fetch"
+        return iter(self._result)
+
     def close(self):
         if self._result is not None:
             self._result.close()

